Get wallet key setup state
Get the key setup state for a specific Non Custodial Wallet, including required algorithms and device setup status
GET
/
ncw
/
wallets
/
{walletId}
/
setup_status
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletSetupStatusResponse>> = fireblocks.embeddedWallets.getEmbeddedWalletSetupStatus(embeddedWalletsApiGetEmbeddedWalletSetupStatusRequest);CompletableFuture<ApiResponse<EmbeddedWalletSetupStatusResponse>> response = fireblocks.embeddedWallets().getEmbeddedWalletSetupStatus(walletId);response = fireblocks.embedded_wallets.get_embedded_wallet_setup_status(wallet_id);curl --request GET \
--url https://api.fireblocks.io/v1/ncw/wallets/{walletId}/setup_statusconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/ncw/wallets/{walletId}/setup_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"status": "COMPLETE"
},
"requiredAlgorithms": [
"MPC_ECDSA_SECP256K1",
"MPC_EDDSA_ED25519"
],
"deviceSetupStatus": [
{
"status": {
"status": "COMPLETE"
},
"deviceId": "9ee1bff0-6dba-4f0c-9b75-03fe90e66fa3",
"enabled": true,
"setupStatus": [
{
"algorithmName": {
"algorithm": "MPC_ECDSA_SECP256K1"
},
"confirmed": true,
"backedUp": true
}
]
}
]
}{
"message": "<string>",
"code": 123
}Path Parameters
Wallet Id
Response
Successful response
embedded wallet setup status
Show child attributes
Show child attributes
Required algorithms for the wallet
Available options:
MPC_ECDSA_SECP256K1, MPC_EDDSA_ED25519 Example:
["MPC_ECDSA_SECP256K1", "MPC_EDDSA_ED25519"]
Setup status for each device
Show child attributes
Show child attributes
Example:
[
{
"status": { "status": "COMPLETE" },
"deviceId": "9ee1bff0-6dba-4f0c-9b75-03fe90e66fa3",
"enabled": true,
"setupStatus": [
{
"algorithmName": { "algorithm": "MPC_ECDSA_SECP256K1" },
"confirmed": true,
"backedUp": true
}
]
}
]
Was this page helpful?
Previous
Update wallet statusUpdate the enabled/disabled status of a specific Non Custodial Wallet
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletSetupStatusResponse>> = fireblocks.embeddedWallets.getEmbeddedWalletSetupStatus(embeddedWalletsApiGetEmbeddedWalletSetupStatusRequest);CompletableFuture<ApiResponse<EmbeddedWalletSetupStatusResponse>> response = fireblocks.embeddedWallets().getEmbeddedWalletSetupStatus(walletId);response = fireblocks.embedded_wallets.get_embedded_wallet_setup_status(wallet_id);